# 32/64 bit spec
#

%define major 0
%define libname %mklibname enventor %major

Summary: 	Editor for EDC files
Name: 		enventor
Version: 	0.6.0
Release: 	%mkrel 1
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%name-%version.tar.xz
#------------------------
BuildRequires: efl-devel
BuildRequires: e-elementary-devel
BuildRequires: desktop-file-utils
#------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Editor for EDC files (edje/efl)


%package devel
Summary:	Libraries and header files of enventor
Group:		Graphical desktop/Enlightenment
Requires:	%{name} = %{version}-%{release}
Provides:	enventor-devel = %{version}-%{release}
Provides:	libenventor-devel = %{version}-%{release}

%description devel
Editor for EDC files (edje/efl)

This package contains development headers and libraries which are 
necessary if you want to build applications against libenventor.


%prep
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="IDE" \
  --remove-category="EdcEditor" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# remove .la and .a file
rm -f %{buildroot}/%{_libdir}/*.{a,la}


%files
%defattr(-,root,root,-)
%{_bindir}/enventor
%{_datadir}/applications/enventor.desktop
%{_datadir}/enventor/about/ABOUT
%{_datadir}/enventor/autocomp/autocomp.eet
%{_datadir}/enventor/color/edc.eet
%{_datadir}/enventor/color/syntax_template.dat
%{_datadir}/enventor/docs/README
%{_datadir}/enventor/images/*.png
%{_datadir}/enventor/sounds/*.wav
%{_datadir}/enventor/themes/enventor.edj
%{_datadir}/enventor/templates/*.edc
%{_datadir}/enventor/templates/*.edj
%{_datadir}/icons/enventor.png
# not sure whether this is the right place
%{_datadir}/eolian/include/enventor-0/enventor_object.eo
%{_libdir}/libenventor.so.%{major}*

%files devel
%defattr(-,root,root,-)
%{_includedir}/enventor-0/*.h
%{_libdir}/libenventor.so
%{_libdir}/pkgconfig/enventor.pc


%clean
rm -rf %buildroot

%changelog
* Mon Jul 13 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2015
- 0.6.0
- add BRs desktop-file-utils, e-elementary-devel
- split out library packages
- lets just make this single app since
- the library file is not used anywhere else in
- enlightenment (Tex)
- update from git for efl 1.15.0 (tex)

* Mon Jun 02 2014 bb <bb> 0.2.0-1pclos2014
- create package
